Target version: 2.2 (2019)

Description

Things with the MF_SPECIAL flag can be touched for an effect like getting the health powerup.

In addition to the hardcoded functions, enable using Doomsday Script to define what happens when the special thing is touched.

Related issues:

Related to Feature #2349: [Heretic] Various improvements and modding features Closed 2019-10-27
Related to Feature #1608: Integrate Doomsday Script Progressed 2013-10-22
Related to Feature #2374: "On death" script to run when a thing is killed Closed 2019-12-21

Associated revisions

Revision 004039c3 - 2019-11-16 21:41 - skyjake

Heretic|Scripting: Scripted touch action for special things

A Thing definition may specify an "On touch" script that gets run when the thing is touched. This replaces any hardcoded logic that might have
affected the thing.

See the manual for an example: https://manual.dengine.net/ded/thing#on_touch

IssuelD #2352

History

#1 - 2019-11-16 21:24 - skyjake

- Related to Feature #2349: [Heretic] Various improvements and modding features added

#2 - 2019-11-16 21:52 - skyjake
- Related to Feature #1608: Integrate Doomsday Script added

#3 - 2019-11-30 15:43 - skyjake

- Status changed from In Progress to Resolved

#4 - 2019-12-17 11:17 - skyjake

- Status changed from Resolved to Closed

#5 - 2019-12-21 12:19 - skyjake
- Related to Feature #2374: "On death" script to run when a thing is killed added
